commit f94fb2a13b496e20ebb9ddeaca63eb26695bf7fe
Author: freddy77 <freddy77>
Date:   Fri Oct 17 12:21:09 2008 +0000

    reuse CHK macro

diff --git a/ChangeLog b/ChangeLog
index a3f9fc3..39c027b 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Fri Oct 17 14:20:00 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/blob1.c src/odbc/unittests/cancel.c:
+	* src/odbc/unittests/hidden.c:
+	- reuse CHK macro
+
 Fri Oct 17 11:36:45 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* include/tds.h src/tds/mem.c src/tds/token.c:
 	- make it compile without --enable-developing
@@ -723,4 +728,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2627 2008/10/17 09:38:10 freddy77 Exp $
+$Id: ChangeLog,v 1.2628 2008/10/17 12:21:09 freddy77 Exp $
diff --git a/src/odbc/unittests/blob1.c b/src/odbc/unittests/blob1.c
index dbe0ece..eccf5d4 100755
--- a/src/odbc/unittests/blob1.c
+++ b/src/odbc/unittests/blob1.c
@@ -3,7 +3,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: blob1.c,v 1.8 2008/10/16 14:08:44 freddy77 Exp $";
+static char software_version[] = "$Id: blob1.c,v 1.9 2008/10/17 12:21:10 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define CHECK_RCODE(t,h,m) \
@@ -183,26 +183,15 @@ main(int argc, char **argv)
 	for (i = 0; i < cnt; i++) {
 
 		m_hstmt = NULL;
-		rcode = SQLAllocHandle(SQL_HANDLE_STMT, Connection, &m_hstmt);
-		CHECK_RCODE(SQL_HANDLE_DBC, Connection, "SQLAllocHandle StmtH");
+		CHK(SQLAllocHandle, (SQL_HANDLE_STMT, Connection, &m_hstmt));
 
-		rcode = SQLPrepare(m_hstmt, (SQLCHAR *) "INSERT INTO #tt VALUES ( ?, ?, ?, ?, ? )", SQL_NTS);
-		CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLPrepare");
+		CHK(SQLPrepare, (m_hstmt, (SQLCHAR *) "INSERT INTO #tt VALUES ( ?, ?, ?, ?, ? )", SQL_NTS));
 
-		SQLBindParameter(m_hstmt, 1, SQL_PARAM_INPUT, SQL_C_LONG, SQL_INTEGER, 0, 0, &key, 0, &vind0);
-		CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLBindParameter 1");
-
-		SQLBindParameter(m_hstmt, 2, SQL_PARAM_INPUT, SQL_C_BINARY, SQL_LONGVARCHAR, 0x10000000, 0, buf1, 0, &vind1);
-		CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLBindParameter 2");
-
-		SQLBindParameter(m_hstmt, 3, SQL_PARAM_INPUT, SQL_C_BINARY, SQL_LONGVARBINARY, 0x10000000, 0, buf2, 0, &vind2);
-		CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLBindParameter 3");
-
-		SQLBindParameter(m_hstmt, 4, SQL_PARAM_INPUT, SQL_C_CHAR, SQL_LONGVARBINARY, 0x10000000, 0, buf3, 0, &vind3);
-		CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLBindParameter 4");
-
-		SQLBindParameter(m_hstmt, 5, SQL_PARAM_INPUT, SQL_C_LONG, SQL_INTEGER, 0, 0, &key, 0, &vind0);
-		CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLBindParameter 5");
+		CHK(SQLBindParameter, (m_hstmt, 1, SQL_PARAM_INPUT, SQL_C_LONG, SQL_INTEGER, 0, 0, &key, 0, &vind0));
+		CHK(SQLBindParameter, (m_hstmt, 2, SQL_PARAM_INPUT, SQL_C_BINARY, SQL_LONGVARCHAR, 0x10000000, 0, buf1, 0, &vind1));
+		CHK(SQLBindParameter, (m_hstmt, 3, SQL_PARAM_INPUT, SQL_C_BINARY, SQL_LONGVARBINARY, 0x10000000, 0, buf2, 0, &vind2));
+		CHK(SQLBindParameter, (m_hstmt, 4, SQL_PARAM_INPUT, SQL_C_CHAR, SQL_LONGVARBINARY, 0x10000000, 0, buf3, 0, &vind3));
+		CHK(SQLBindParameter, (m_hstmt, 5, SQL_PARAM_INPUT, SQL_C_LONG, SQL_INTEGER, 0, 0, &key, 0, &vind0));
 
 		key = i;
 		vind0 = 0;
@@ -227,30 +216,25 @@ main(int argc, char **argv)
 			CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLParamData StmtH");
 			printf(">> SQLParamData: ptr = %p  rcode = %d\n", (void *) p, rcode);
 			if (rcode == SQL_NEED_DATA) {
-				SQLRETURN rcode;
 				if (p == buf3) {
 					fill_hex(buf3, NBYTES, 987, 25);
 					
-					rcode = SQLPutData(m_hstmt, p, NBYTES - (i&1));
+					CHK(SQLPutData, (m_hstmt, p, NBYTES - (i&1)));
 
-					CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLPutData StmtH");
 					printf(">> param %p: total bytes written = %d\n", (void *) p, NBYTES - (i&1));
 					
-					rcode = SQLPutData(m_hstmt, p + NBYTES - (i&1), NBYTES + (i&1));
+					CHK(SQLPutData, (m_hstmt, p + NBYTES - (i&1), NBYTES + (i&1)));
 
-					CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLPutData StmtH");
 					printf(">> param %p: total bytes written = %d\n", (void *) p, NBYTES + (i&1));
 				} else {
-					rcode = SQLPutData(m_hstmt, p, NBYTES);
+					CHK(SQLPutData, (m_hstmt, p, NBYTES));
 
-					CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLPutData StmtH");
 					printf(">> param %p: total bytes written = %d\n", (void *) p, NBYTES);
 				}
 			}
 		}
 
-		rcode = SQLFreeHandle(SQL_HANDLE_STMT, (SQLHANDLE) m_hstmt);
-		CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLFreeHandle StmtH");
+		CHK(SQLFreeHandle, (SQL_HANDLE_STMT, (SQLHANDLE) m_hstmt));
 
 	}
 
@@ -259,41 +243,30 @@ main(int argc, char **argv)
 	for (i = 0; i < cnt; i++) {
 
 		m_hstmt = NULL;
-		rcode = SQLAllocHandle(SQL_HANDLE_STMT, Connection, &m_hstmt);
-		CHECK_RCODE(SQL_HANDLE_DBC, Connection, "SQLAllocHandle StmtH");
+		CHK(SQLAllocHandle, (SQL_HANDLE_STMT, Connection, &m_hstmt));
 
 		if (db_is_microsoft()) {
-			rcode = SQLSetStmtAttr(m_hstmt, SQL_ATTR_CURSOR_SCROLLABLE, (SQLPOINTER) SQL_NONSCROLLABLE, SQL_IS_UINTEGER);
-			CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLSetStmtAttr SQL_ATTR_CURSOR_SCROLLABLE");
-			rcode = SQLSetStmtAttr(m_hstmt, SQL_ATTR_CURSOR_SENSITIVITY, (SQLPOINTER) SQL_SENSITIVE, SQL_IS_UINTEGER);
-			CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLSetStmtAttr SQL_ATTR_CURSOR_SENSITIVITY");
+			CHK(SQLSetStmtAttr, (m_hstmt, SQL_ATTR_CURSOR_SCROLLABLE, (SQLPOINTER) SQL_NONSCROLLABLE, SQL_IS_UINTEGER));
+			CHK(SQLSetStmtAttr, (m_hstmt, SQL_ATTR_CURSOR_SENSITIVITY, (SQLPOINTER) SQL_SENSITIVE, SQL_IS_UINTEGER));
 		}
 
-		rcode = SQLPrepare(m_hstmt, (SQLCHAR *) "SELECT t, b1, b2, v FROM #tt WHERE k = ?", SQL_NTS);
-		CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLPrepare");
+		CHK(SQLPrepare, (m_hstmt, (SQLCHAR *) "SELECT t, b1, b2, v FROM #tt WHERE k = ?", SQL_NTS));
 
-		SQLBindParameter(m_hstmt, 1, SQL_PARAM_INPUT, SQL_C_LONG, SQL_INTEGER, 0, 0, &i, 0, &vind0);
-		CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLBindParameter 1");
+		CHK(SQLBindParameter, (m_hstmt, 1, SQL_PARAM_INPUT, SQL_C_LONG, SQL_INTEGER, 0, 0, &i, 0, &vind0));
 
-		SQLBindCol(m_hstmt, 1, SQL_C_BINARY, NULL, 0, &vind1);
-		CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLBindCol 2");
-		SQLBindCol(m_hstmt, 2, SQL_C_BINARY, NULL, 0, &vind2);
-		CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLBindCol 3");
-		SQLBindCol(m_hstmt, 3, SQL_C_BINARY, NULL, 0, &vind3);
-		CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLBindCol 4");
-		SQLBindCol(m_hstmt, 4, SQL_C_LONG, &key, 0, &vind0);
-		CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLBindCol 1");
+		CHK(SQLBindCol, (m_hstmt, 1, SQL_C_BINARY, NULL, 0, &vind1));
+		CHK(SQLBindCol, (m_hstmt, 2, SQL_C_BINARY, NULL, 0, &vind2));
+		CHK(SQLBindCol, (m_hstmt, 3, SQL_C_BINARY, NULL, 0, &vind3));
+		CHK(SQLBindCol, (m_hstmt, 4, SQL_C_LONG, &key, 0, &vind0));
 
 		vind0 = 0;
 		vind1 = SQL_DATA_AT_EXEC;
 		vind2 = SQL_DATA_AT_EXEC;
 
-		rcode = SQLExecute(m_hstmt);
-		CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLExecute StmtH");
+		CHK(SQLExecute, (m_hstmt));
 
-		rcode = SQLFetchScroll(m_hstmt, SQL_FETCH_NEXT, 0);
-		CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLFetchScroll StmtH");
-		printf(">> fetch... %d  rcode = %d\n", i, rcode);
+		CHK(SQLFetchScroll, (m_hstmt, SQL_FETCH_NEXT, 0));
+		printf(">> fetch... %d\n", i);
 
 		rcode = readBlob(m_hstmt, 1);
 		CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "readBlob 1");
@@ -302,11 +275,8 @@ main(int argc, char **argv)
 		rcode = readBlobAsChar(m_hstmt, 3, i);
 		CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "readBlob 3 as SQL_C_CHAR");
 
-		rcode = SQLCloseCursor(m_hstmt);
-		CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLCloseCursor StmtH");
-
-		rcode = SQLFreeHandle(SQL_HANDLE_STMT, (SQLHANDLE) m_hstmt);
-		CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLFreeHandle StmtH");
+		CHK(SQLCloseCursor, (m_hstmt));
+		CHK(SQLFreeHandle, (SQL_HANDLE_STMT, (SQLHANDLE) m_hstmt));
 	}
 
 	Disconnect();
diff --git a/src/odbc/unittests/cancel.c b/src/odbc/unittests/cancel.c
index a43db5b..3fa879d 100644
--- a/src/odbc/unittests/cancel.c
+++ b/src/odbc/unittests/cancel.c
@@ -12,16 +12,6 @@
 
 #ifdef HAVE_ALARM
 
-#define CHECK_RCODE(t,h,m) \
-   if ( rcode != SQL_NO_DATA \
-     && rcode != SQL_SUCCESS \
-     && rcode != SQL_SUCCESS_WITH_INFO  \
-     && rcode != SQL_NEED_DATA ) { \
-      fprintf(stderr,"Error %d at: %s\n",rcode,m); \
-      getErrorInfo(t,h); \
-      exit(1); \
-   }
-
 static char sqlstate[SQL_SQLSTATE_SIZE + 1];
 
 static void
@@ -58,9 +48,8 @@ sigalrm_handler(int s)
 	SQLRETURN rcode;
 
 	printf(">>>> SQLCancel() ...\n");
-	rcode = SQLCancel(Statement);
+	CHK(SQLCancel, (Statement));
 	printf(">>>> ... SQLCancel done rcode = %d\n", rcode);
-	CHECK_RCODE(SQL_HANDLE_STMT, Statement, "SQLCancel failed");
 
 	alarm(4);
 	signal(SIGALRM, exit_forced);
diff --git a/src/odbc/unittests/hidden.c b/src/odbc/unittests/hidden.c
index b02881e..a911f10 100755
--- a/src/odbc/unittests/hidden.c
+++ b/src/odbc/unittests/hidden.c
@@ -3,44 +3,12 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: hidden.c,v 1.4 2008/01/29 14:30:48 freddy77 Exp $";
+static char software_version[] = "$Id: hidden.c,v 1.5 2008/10/17 12:21:10 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
-#define CHECK_RCODE(t,h,m) \
-   if ( rcode != SQL_NO_DATA \
-     && rcode != SQL_SUCCESS \
-     && rcode != SQL_SUCCESS_WITH_INFO  \
-     && rcode != SQL_NEED_DATA ) { \
-      fprintf(stderr,"Error %d at: %s\n",rcode,m); \
-      getErrorInfo(t,h); \
-      exit(1); \
-   }
-
-static void
-getErrorInfo(SQLSMALLINT sqlhdltype, SQLHANDLE sqlhandle)
-{
-	SQLRETURN rcode = 0;
-	SQLCHAR sqlstate[SQL_SQLSTATE_SIZE + 1];
-	SQLINTEGER naterror = 0;
-	SQLCHAR msgtext[SQL_MAX_MESSAGE_LENGTH + 1];
-	SQLSMALLINT msgtextl = 0;
-
-	rcode = SQLGetDiagRec((SQLSMALLINT) sqlhdltype,
-			      (SQLHANDLE) sqlhandle,
-			      (SQLSMALLINT) 1,
-			      (SQLCHAR *) sqlstate,
-			      (SQLINTEGER *) & naterror,
-			      (SQLCHAR *) msgtext, (SQLSMALLINT) sizeof(msgtext), (SQLSMALLINT *) & msgtextl);
-	fprintf(stderr, "Diagnostic info:\n");
-	fprintf(stderr, "  SQL State: %s\n", (char *) sqlstate);
-	fprintf(stderr, "  SQL code : %d\n", (int) naterror);
-	fprintf(stderr, "  Message  : %s\n", (char *) msgtext);
-}
-
 int
 main(int argc, char **argv)
 {
-	SQLRETURN rcode;
 	SQLSMALLINT cnt = 0;
 	int failed = 0;
 
@@ -55,8 +23,7 @@ main(int argc, char **argv)
 
 	Command(Statement, "SELECT c, b FROM #tmp1");
 
-	rcode = SQLNumResultCols(Statement, &cnt);
-	CHECK_RCODE(SQL_HANDLE_STMT, Statement, "SQLNumResultCols 1");
+	CHK(SQLNumResultCols, (Statement, &cnt));
 
 	if (cnt != 2) {
 		fprintf(stderr, "Wrong number of columns in result set: %d\n", (int) cnt);
@@ -67,19 +34,14 @@ main(int argc, char **argv)
 	/* test hidden column with cursors*/
 	CheckCursor();
 
-	rcode = SQLSetStmtAttr(Statement, SQL_ATTR_CURSOR_SCROLLABLE, (SQLPOINTER) SQL_NONSCROLLABLE, SQL_IS_UINTEGER);
-	CHECK_RCODE(SQL_HANDLE_STMT, Statement, "SQLSetStmtAttr SQL_ATTR_CURSOR_SCROLLABLE");
-	rcode = SQLSetStmtAttr(Statement, SQL_ATTR_CURSOR_SENSITIVITY, (SQLPOINTER) SQL_SENSITIVE, SQL_IS_UINTEGER);
-	CHECK_RCODE(SQL_HANDLE_STMT, Statement, "SQLSetStmtAttr SQL_ATTR_CURSOR_SENSITIVITY");
+	CHK(SQLSetStmtAttr, (Statement, SQL_ATTR_CURSOR_SCROLLABLE, (SQLPOINTER) SQL_NONSCROLLABLE, SQL_IS_UINTEGER));
+	CHK(SQLSetStmtAttr, (Statement, SQL_ATTR_CURSOR_SENSITIVITY, (SQLPOINTER) SQL_SENSITIVE, SQL_IS_UINTEGER));
 
-	rcode = SQLPrepare(Statement, (SQLCHAR *) "SELECT * FROM #t1", SQL_NTS);
-	CHECK_RCODE(SQL_HANDLE_STMT, Statement, "SQLPrepare 1");
+	CHK(SQLPrepare, (Statement, (SQLCHAR *) "SELECT * FROM #t1", SQL_NTS));
 
-	rcode = SQLExecute(Statement);
-	CHECK_RCODE(SQL_HANDLE_STMT, Statement, "SQLExecute 1");
+	CHK(SQLExecute, (Statement));
 
-	rcode = SQLNumResultCols(Statement, &cnt);
-	CHECK_RCODE(SQL_HANDLE_STMT, Statement, "SQLNumResultCols 1");
+	CHK(SQLNumResultCols, (Statement, &cnt));
 
 	if (cnt != 3) {
 		fprintf(stderr, "Wrong number of columns in result set: %d\n", (int) cnt);

